PHP Manual
Prev |  | Next

# DOMCharacterData->deleteData()

(no version information, might be only in CVS)

DOMCharacterData->deleteData() -- Remove a range of characters from the node

## Description

class DOMCharacterData {
void deleteData ( int offset, int count )
}

Deletes `count` characters starting from position `offset`.

## Parameters

`offset`

  The offset from which to start removing.

`count`

  The number of characters to delete. If the sum of `offset` and `count` exceeds the length, then all characters to the end of the data are deleted.

## Return Values

No value is returned.

## Errors/Exceptions

`DOM_INDEX_SIZE_ERR`

  Raised if `offset` is negative or greater than the number of 16-bit units in data, or if `count` is negative.

## See Also

DOMCharacterData->appendData()
DOMCharacterData->insertData()
DOMCharacterData->replaceData()
DOMCharacterData->substringData()

Prev | Home | Next
DOMCharacterData->appendData() | Up | DOMCharacterData->insertData()